<?php
defined('_JEXEC') or die;
return [
	'Joomla\\Component\\Admin\\Site\\' => [JPATH_ROOT . "/components/com_admin/"],
	'Joomla\\Component\\Admin\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_admin/"],
	'Joomla\\Component\\Associations\\Site\\' => [JPATH_ROOT . "/components/com_associations/"],
	'Joomla\\Component\\Associations\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_associations/"],
	'Joomla\\Component\\Banners\\Site\\' => [JPATH_ROOT . "/components/com_banners/"],
	'Joomla\\Component\\Banners\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_banners/"],
	'Joomla\\Component\\Cache\\Site\\' => [JPATH_ROOT . "/components/com_cache/"],
	'Joomla\\Component\\Cache\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_cache/"],
	'Joomla\\Component\\Categories\\Site\\' => [JPATH_ROOT . "/components/com_categories/"],
	'Joomla\\Component\\Categories\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_categories/"],
	'Joomla\\Component\\Checkin\\Site\\' => [JPATH_ROOT . "/components/com_checkin/"],
	'Joomla\\Component\\Checkin\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_checkin/"],
	'Joomla\\Component\\Config\\Site\\' => [JPATH_ROOT . "/components/com_config/"],
	'Joomla\\Component\\Config\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_config/"],
	'Joomla\\Component\\Contact\\Site\\' => [JPATH_ROOT . "/components/com_contact/"],
	'Joomla\\Component\\Contact\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_contact/"],
	'Joomla\\Component\\Content\\Site\\' => [JPATH_ROOT . "/components/com_content/"],
	'Joomla\\Component\\Content\\Api\\' => [JPATH_ROOT . "/api/components/com_content/"],
	'Joomla\\Component\\Content\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_content/"],
	'Joomla\\Component\\Contenthistory\\Site\\' => [JPATH_ROOT . "/components/com_contenthistory/"],
	'Joomla\\Component\\Contenthistory\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_contenthistory/"],
	'Joomla\\Component\\Cpanel\\Site\\' => [JPATH_ROOT . "/components/com_cpanel/"],
	'Joomla\\Component\\Cpanel\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_cpanel/"],
	'Joomla\\Component\\Csp\\Site\\' => [JPATH_ROOT . "/components/com_csp/"],
	'Joomla\\Component\\Csp\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_csp/"],
	'Joomla\\Component\\Fields\\Site\\' => [JPATH_ROOT . "/components/com_fields/"],
	'Joomla\\Component\\Fields\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_fields/"],
	'Joomla\\Component\\Finder\\Site\\' => [JPATH_ROOT . "/components/com_finder/"],
	'Joomla\\Component\\Finder\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_finder/"],
	'Joomla\\Component\\Installer\\Site\\' => [JPATH_ROOT . "/components/com_installer/"],
	'Joomla\\Component\\Installer\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_installer/"],
	'Joomla\\Component\\Joomlaupdate\\Site\\' => [JPATH_ROOT . "/components/com_joomlaupdate/"],
	'Joomla\\Component\\Joomlaupdate\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_joomlaupdate/"],
	'Joomla\\Component\\Languages\\Site\\' => [JPATH_ROOT . "/components/com_languages/"],
	'Joomla\\Component\\Languages\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_languages/"],
	'Joomla\\Component\\Login\\Site\\' => [JPATH_ROOT . "/components/com_login/"],
	'Joomla\\Component\\Login\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_login/"],
	'Joomla\\Component\\Mailto\\Site\\' => [JPATH_ROOT . "/components/com_mailto/"],
	'Joomla\\Component\\Mailto\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_mailto/"],
	'Joomla\\Component\\Media\\Site\\' => [JPATH_ROOT . "/components/com_media/src"],
	'Joomla\\Component\\Media\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_media/src"],
	'Joomla\\Component\\Menus\\Site\\' => [JPATH_ROOT . "/components/com_menus/"],
	'Joomla\\Component\\Menus\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_menus/"],
	'Joomla\\Component\\Messages\\Site\\' => [JPATH_ROOT . "/components/com_messages/"],
	'Joomla\\Component\\Messages\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_messages/"],
	'Joomla\\Component\\Modules\\Site\\' => [JPATH_ROOT . "/components/com_modules/"],
	'Joomla\\Component\\Modules\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_modules/"],
	'Joomla\\Component\\Newsfeeds\\Site\\' => [JPATH_ROOT . "/components/com_newsfeeds/"],
	'Joomla\\Component\\Newsfeeds\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_newsfeeds/"],
	'Joomla\\Component\\Plugins\\Site\\' => [JPATH_ROOT . "/components/com_plugins/"],
	'Joomla\\Component\\Plugins\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_plugins/"],
	'Joomla\\Component\\Postinstall\\Site\\' => [JPATH_ROOT . "/components/com_postinstall/"],
	'Joomla\\Component\\Postinstall\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_postinstall/"],
	'Joomla\\Component\\Privacy\\Site\\' => [JPATH_ROOT . "/components/com_privacy/"],
	'Joomla\\Component\\Privacy\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_privacy/"],
	'Joomla\\Component\\Redirect\\Site\\' => [JPATH_ROOT . "/components/com_redirect/"],
	'Joomla\\Component\\Redirect\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_redirect/"],
	'Joomla\\Component\\Search\\Site\\' => [JPATH_ROOT . "/components/com_search/"],
	'Joomla\\Component\\Search\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_search/"],
	'Joomla\\Component\\Tags\\Site\\' => [JPATH_ROOT . "/components/com_tags/"],
	'Joomla\\Component\\Tags\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_tags/"],
	'Joomla\\Component\\Templates\\Site\\' => [JPATH_ROOT . "/components/com_templates/"],
	'Joomla\\Component\\Templates\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_templates/"],
	'Joomla\\Component\\Users\\Site\\' => [JPATH_ROOT . "/components/com_users/"],
	'Joomla\\Component\\Users\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_users/"],
	'Joomla\\Component\\Workflow\\Site\\' => [JPATH_ROOT . "/components/com_workflow/"],
	'Joomla\\Component\\Workflow\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_workflow/"],
	'Joomla\\Component\\Wrapper\\Site\\' => [JPATH_ROOT . "/components/com_wrapper/"],
	'Joomla\\Component\\Wrapper\\Administrator\\' => [JPATH_ROOT . "/administrator/components/com_wrapper/"],
	'Joomla\\Module\\ArticlesArchive\\Site\\' => [JPATH_ROOT . "/modules/mod_articles_archive/"],
	'Joomla\\Module\\ArticlesCategories\\Site\\' => [JPATH_ROOT . "/modules/mod_articles_categories/"],
	'Joomla\\Module\\ArticlesCategory\\Site\\' => [JPATH_ROOT . "/modules/mod_articles_category/"],
	'Joomla\\Module\\ArticlesLatest\\Site\\' => [JPATH_ROOT . "/modules/mod_articles_latest/"],
	'Joomla\\Module\\ArticlesNews\\Site\\' => [JPATH_ROOT . "/modules/mod_articles_news/"],
	'Joomla\\Module\\ArticlesPopular\\Site\\' => [JPATH_ROOT . "/modules/mod_articles_popular/"],
	'Joomla\\Module\\Banners\\Site\\' => [JPATH_ROOT . "/modules/mod_banners/"],
	'Joomla\\Module\\Breadcrumbs\\Site\\' => [JPATH_ROOT . "/modules/mod_breadcrumbs/"],
	'Joomla\\Module\\Feed\\Site\\' => [JPATH_ROOT . "/modules/mod_feed/"],
	'Joomla\\Module\\Finder\\Site\\' => [JPATH_ROOT . "/modules/mod_finder/"],
	'Joomla\\Module\\Footer\\Site\\' => [JPATH_ROOT . "/modules/mod_footer/"],
	'Joomla\\Module\\Languages\\Site\\' => [JPATH_ROOT . "/modules/mod_languages/"],
	'Joomla\\Module\\Login\\Site\\' => [JPATH_ROOT . "/modules/mod_login/"],
	'Joomla\\Module\\Menu\\Site\\' => [JPATH_ROOT . "/modules/mod_menu/"],
	'Joomla\\Module\\RandomImage\\Site\\' => [JPATH_ROOT . "/modules/mod_random_image/"],
	'Joomla\\Module\\RelatedItems\\Site\\' => [JPATH_ROOT . "/modules/mod_related_items/"],
	'Joomla\\Module\\Search\\Site\\' => [JPATH_ROOT . "/modules/mod_search/"],
	'Joomla\\Module\\Stats\\Site\\' => [JPATH_ROOT . "/modules/mod_stats/"],
	'Joomla\\Module\\Syndicate\\Site\\' => [JPATH_ROOT . "/modules/mod_syndicate/"],
	'Joomla\\Module\\TagsPopular\\Site\\' => [JPATH_ROOT . "/modules/mod_tags_popular/"],
	'Joomla\\Module\\TagsSimilar\\Site\\' => [JPATH_ROOT . "/modules/mod_tags_similar/"],
	'Joomla\\Module\\UsersLatest\\Site\\' => [JPATH_ROOT . "/modules/mod_users_latest/"],
	'Joomla\\Module\\Whosonline\\Site\\' => [JPATH_ROOT . "/modules/mod_whosonline/"],
	'Joomla\\Module\\Wrapper\\Site\\' => [JPATH_ROOT . "/modules/mod_wrapper/"],
	'Joomla\\Module\\Feed\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_feed/"],
	'Joomla\\Module\\Latest\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_latest/"],
	'Joomla\\Module\\Logged\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_logged/"],
	'Joomla\\Module\\Login\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_login/"],
	'Joomla\\Module\\Menu\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_menu/"],
	'Joomla\\Module\\Multilangstatus\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_multilangstatus/"],
	'Joomla\\Module\\Popular\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_popular/"],
	'Joomla\\Module\\Quickicon\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_quickicon/"],
	'Joomla\\Module\\Sampledata\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_sampledata/"],
	'Joomla\\Module\\StatsAdmin\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_stats_admin/"],
	'Joomla\\Module\\Version\\Administrator\\' => [JPATH_ROOT . "/administrator/modules/mod_version/"],
	'Joomla\\Plugin\\Filesystem\\Local\\' => [JPATH_ROOT . "//plugins/filesystem/local/"],
	'Joomla\\Plugin\\System\\Stats\\' => [JPATH_ROOT . "//plugins/system/stats/"],
];